Bug 566687

Summary: Review Request: perl-MooseX-Types-DateTimeX - Extensions to MooseX::Types::DateTime::ButMaintained
Product: [Fedora] Fedora Reporter: Marcela Mašláňová <mmaslano>
Component: Package ReviewAssignee: Iain Arnell <iarnell>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, iarnell, notting
Target Milestone: ---Flags: iarnell: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-MooseX-Types-DateTimeX-0.06-3.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-24 07:17:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 566688    
Bug Blocks:    

Description Marcela Mašláňová 2010-02-19 12:37:12 UTC
Spec URL: http://mmaslano.fedorapeople.org/review/perl-MooseX-Types-DateTimeX.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-MooseX-Types-DateTimeX-0.06-1.fc13.src.rpm
Description: This module builds on MooseX::Types::DateTime to add additional custom types and coercions. Since it builds on an existing type, all coercions and
constraints are inherited.

Comment 1 Iain Arnell 2010-02-20 08:16:54 UTC
Is missing a whole bunch of BuildRequires. From Makefile.PL, at least these are necessary.

requires 'Moose'              => '0.41';
requires 'MooseX::Types'      => '0.04';
requires 'namespace::clean'   => '0.08';
requires 'Time::Duration::Parse' => '0.06';
requires 'MooseX::Types::DateTime::ButMaintained' => '0.04';
requires 'DateTimeX::Easy' => '0.085';
test_requires 'Test::use::ok'    => '0.02';
test_requires 'Test::Exception'  => '0.27';
test_requires 'Test::More';

Comment 2 Marcela Mašláňová 2010-02-22 09:42:20 UTC
cpanspec missed them. Also I added conflicts because of:
pm -i rpmbuild/RPMS/noarch/perl-MooseX-Types-DateTimeX-0.06-1.fc12.noarch.rpm 
        file /usr/lib/perl5/vendor_perl/5.10.0/MooseX/Types/DateTimeX.pm from install of perl-MooseX-Types-DateTimeX-0.06-1.fc12.noarch conflicts with file from package perl-MooseX-Types-DateTime-0.03-5.fc12.noarch

I fix it also in MooseX-Types-DateTime.
http://mmaslano.fedorapeople.org/review/perl-MooseX-Types-DateTimeX-0.06-2.fc12.src.rpm

Comment 3 Iain Arnell 2010-02-22 11:43:49 UTC
This one also needs the PERL5_CPANPLUS_IS_RUNNING=1 tweak to build in mock (locally, f14, with perl-Olson-Abbreviations and perl-MooseX-Types-DateTime-ButMaintained installed).

Source tarball matches upstream:
d8142d7f7b08af18de6d302da8d7f7b9  MooseX-Types-DateTimeX-0.06.tar.gz

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Final provides are sane:
perl(MooseX::Types::DateTimeX) = 0.06
perl-MooseX-Types-DateTimeX = 0.06-2.fc14

Final requires are sane:
perl(:MODULE_COMPAT_5.10.1)  
perl(DateTime)  
perl(DateTime::Duration)  
perl(DateTimeX::Easy)  
perl(MooseX::Types)  
perl(MooseX::Types::DateTime::ButMaintained)  
perl(MooseX::Types::Moose)  
perl(Time::Duration::Parse)  
perl(namespace::clean)  
perl(strict)  
perl(warnings)  

Final conflicts are appropriate and necessary:
perl(MooseX::Types::DateTime) < 0.05

rpmlint is silent.

I think you should add an explicit 'Requires: perl(Moose) >= 0.41' since it's not automatically picked up (even though it gets pulled in by other deps, I think it's better to mention it here too). And you need the PERL5_CPANPLUS_IS_RUNNING hack to build in mock.

With those two conditions, APPROVED.

Comment 4 Marcela Mašláňová 2010-02-23 07:47:59 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-Types-DateTimeX
Short Description: Extensions to MooseX::Types::DateTime::ButMaintained
Owners: mmaslano
Branches: F-13
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2010-02-23 17:07:01 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-02-26 03:59:26 UTC
perl-MooseX-Types-DateTimeX-0.06-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-MooseX-Types-DateTimeX-0.06-3.fc13

Comment 7 Fedora Update System 2010-02-26 11:54:24 UTC
perl-MooseX-Types-DateTimeX-0.06-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.